package com.dgtly.wxportal.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 帮助中心对象 help_center
 * 
 * @author dgtly
 * @date 2020-12-09
 */
public class HelpCenter extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    private String describe;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String fileType;

    /** 分类标题 */
    @Excel(name = "分类标题")
    private String classifyTitle;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setDescribe(String describe) 
    {
        this.describe = describe;
    }

    public String getDescribe() 
    {
        return describe;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setFileType(String fileType) 
    {
        this.fileType = fileType;
    }

    public String getFileType() 
    {
        return fileType;
    }
    public void setClassifyTitle(String classifyTitle) 
    {
        this.classifyTitle = classifyTitle;
    }

    public String getClassifyTitle() 
    {
        return classifyTitle;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("describe", getDescribe())
            .append("fileUrl", getFileUrl())
            .append("fileType", getFileType())
            .append("classifyTitle", getClassifyTitle())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
